package com.YuyeTech.TPlat.service.impl;

import com.YuyeTech.TPlat.dataobject.FcCategory;
import com.YuyeTech.TPlat.repository.FcCategoryRepository;
import com.YuyeTech.TPlat.service.FcCategoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author:slambb
 * @date:2020/2/5
 */
@Service
public class FcCategoryServiceImpl implements FcCategoryService{
    @Autowired
    private FcCategoryRepository fcCategoryRepository;
    @Override
    public List<FcCategory> findAll() {
        return fcCategoryRepository.findAll();
    }

    @Override
    public List<FcCategory> findByType(Integer type) {
        return fcCategoryRepository.findByCategoryType(type);
    }
}
